#define	LED		LATA2
#define	LED_T	TRISA2
#define	TSCK	LATC1
#define	TSCK_T	TRISC1
#define	TRST	LATC0
#define	TRST_T	TRISC0
#define	TMISO	LATC5
#define	TMISO_I	RC5
#define	TMISO_T	TRISC5
#define	TMOSI	LATC4
#define	TMOSI_T	TRISC4
#define	TCS		LATC3
#define	TCS_T	TRISC3

#define	MCS		LATC2
#define	MCS_T	TRISC2

#define	_XTAL_FREQ	(16000000*1)
#define	BAUD_RATE	38400UL

void dly_ms(unsigned int ms);
unsigned char spi_byte (unsigned char dat);
void enter_progmode_pins (unsigned char mode, unsigned char rst_log);
void exit_progmode_pins (unsigned char rst_log);
void tx_data (unsigned char dat);
void tx_str (char * data);
unsigned char rx_ready (void);
unsigned char rx_get (void);
unsigned char hwspi_byte(unsigned char data);
void hw_init (void);
void led (unsigned char data);
unsigned int get_vdd (void);
void set_cs (unsigned char data);
void set_rst (unsigned char state, unsigned char logic);



